---
- name: Perform common tasks
  hosts: nas
  become: yes
  roles:
    - base
    - common
  tags: base

- name: Configure BTRFS RAID
  hosts: nas
  become: yes
  roles:
    - raid
  tags: raid

- hosts: nas
  become: yes
  roles:
    - ntfy
    - ntfy-server
  tags: ntfy

- name: Set up Samba
  hosts: nas
  become: yes
  roles:
    - samba
  tags: samba

- name: Set up Jellyfin
  hosts: nas
  become: yes
  roles:
    - jellyfin
  tags: jellyfin

- name: Set up Caddy
  hosts: nas
  become: yes
  roles:
    - caddy
  tags: caddy

- name: Set up photo sync using Rclone
  hosts: nas
  become: yes
  roles:
    - rclone
  tags: rclone

- name: Install Woodpecker agent
  hosts: nas
  become: yes
  roles:
    - woodpecker
  tags: woodpecker

- name: Install Restic
  hosts: nas
  become: yes
  roles:
    - restic
  tags: restic

- name: Install Restic REST server
  hosts: nas
  become: yes
  roles:
    - restic-rest
  tags: restic-rest

# - name: Install Lander
#   hosts: nas
#   become: yes
#   roles:
#     - lander
#   tags: lander

- hosts: nas
  become: yes
  roles:
    - nefarious
  tags: nefarious

- hosts: nas
  become: yes
  roles:
    - photoview
  tags: photoview

- hosts: nas
  become: yes
  roles:
    - syncthing
  tags: syncthing

- hosts: nas
  become: yes
  roles:
    - actual
  tags: actual

- hosts: nas
  become: yes
  roles:
    - webdav
  tags: webdav
